%global bundle org.apache.felix.utils

Name:          felix-utils
Version:       1.1.0
Release:       %mkrel 3
Summary:       Utility classes for OSGi
Group:         Development/Java
License:       ASL 2.0
URL:           http://felix.apache.org
Source0:       http://www.fightrice.com/mirrors/apache/felix/%{bundle}-%{version}-project.tar.gz
Patch0:        felix-utils-1.1.0-pom.patch

BuildRequires: felix-parent
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core

BuildRequires: apache-rat-plugin
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      java
Requires:      jpackage-utils

BuildArch:     noarch

%description
Utility classes for OSGi

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%patch0 -p0

%build
# one of the tests fails in mock (local build is ok)
mvn-rpmbuild install javadoc:aggregate -Dmaven.test.failure.ignore=true

%install
install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Dec 23 2011 gil <gil> 1.1.0-3.mga2
+ Revision: 186543
- used felix-utils-1.1.0-pom.patch
- used felix-utils-1.1.0-pom.patch

* Fri Dec 23 2011 dmorgan <dmorgan> 1.1.0-2.mga2
+ Revision: 186280
- Sync with fedora

* Tue Nov 01 2011 gil <gil> 1.1.0-1.mga2
+ Revision: 160743
- imported package felix-utils

